# FileGroupNum

Sets the group of the Unix-domain socket by numeric GID.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  FileGroupNum

Scope:

  input

Type:

  integer

Default:

  input=system default

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

Set the group for the domain socket. The parameter is a numerical ID, which is used regardless of whether the group actually exists. This can be useful if the group mapping is not available to rsyslog during startup.

## Input usage

    input(type="imptcp" fileGroupNum="...")

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.